Skip to main content
GET
Get invoice details from accounting system

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-finops-version
string<date>
required
x-organization-id
string<uuid>
required

The ID of the entity that owns the requested resource.

Example:

"9d2b4c8f-2087-4738-ba91-7359683c49a4"

Path Parameters

invoice_id
string
required

An internal ID of the invoice in the accounting system. You can get these IDs from GET /accounting/receivables.

Response

Successful Response

Invoice details retrieved from an accounting system.

id
string

An internal identifier of the invoice in the accounting system.

currency
string

ISO-4217 currency code of the invoice.

Example:

"USD"

currency_rate
number

Rate to convert the total amount of the transaction into the entity's base currency at the time of the transaction.

customer_ref
object

Information about the customer that the invoice was sent to.

due_date

Invoice due date.

invoice_number
string

Invoice document number.

lines
object[]
memo
string

Any additional information or business notes about the invoice.

pass_through
object

An object containing additional invoice data returned by the accounting system. This sometimes includes custom invoice fields.

posted_date
string<date>

Date when the invoice was added to the accounting service. This may differ from the invoice creation date.